﻿@model TruePotentialDevTest.Models.ViewTicketViewModel
@{
    ViewBag.Title = "View Ticket";
    ViewBag.Header = "Ticket";
}

<div class="centercontent">
    <h2>Ticket #@Model.Ticket.Id</h2>
</div>

<table class="viewticket-table">
    <tr>
        <td><b>Creator: </b> @Model.Ticket.Creator.FullName</td>
        <td><b>Holder: </b> @Model.Ticket.Holder.FullName</td>
    </tr>

    <tr>
        <td><b>Creation Date: </b> @Model.Ticket.CreationDate.ToString()</td>
        <td><b>Status: </b> @Model.Ticket.Status.ToString()</td>
    </tr>
</table>

<div id="ticketholder">
    <h3>@Model.Ticket.Name</h3>

    <br />

    <div id="ticketholder-content">
        <b>Description</br></b>
        @Model.Ticket.Content

        <div id="ticketholder-responses">
            <table id="ticketholder-table" class="table">
                <tr>
                    <th>Responses</th>
                </tr>
                @if (Model.Ticket.Responses.Count < 1)
                {
                    <tr>
                        <td>There are no responses yet!</td>
                    </tr>
                }
                else
                {
                    foreach (var response in Model.Ticket.Responses)
                    {
                        <tr>
                            <td>
                                <b>From:</b> @response.Creator.FullName<br />
                                <b>Posted: </b> @response.CreationDate.ToString()
                                <br />
                                <span>
                                    @response.Content
                                </span>
                            </td>
                        </tr>
                    }
                }
            </table>
        </div>
    </div>
</div>

